MT_NUM_THREADS(3)

FUNCTION
mt_num_threads - Get the number of threads in a thread pool.

SYNOPSIS
#include <karma_mt.h>

unsigned int mt_num_threads

(KThreadPool pool)

DESCRIPTION
This function will determine the number of threads that may be run concurrently in a thread pool.

pool
    The thread pool.

RETURN VALUE
The number of concurrent threads.

Multi-threading Level
Safe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/